org.apache.solr.client.solrj.impl

## Class BinaryRequestWriter.BAOS

- java.lang.Object
- - java.io.OutputStream
  - - java.io.ByteArrayOutputStream
    - - org.apache.solr.client.solrj.impl.BinaryRequestWriter.BAOS

All Implemented Interfaces:
  Closeable, Flushable, AutoCloseable

Enclosing class:
  BinaryRequestWriter

    public static class BinaryRequestWriter.BAOS
    extends ByteArrayOutputStream

### Field Summary

### Fields inherited from class java.io.ByteArrayOutputStream

`buf, count`

### Constructor Summary

Constructors
Constructor and Description
`BAOS()`

### Method Summary

All Methods Instance Methods Concrete Methods
`byte[]` `getbuf()`

### Methods inherited from class java.io.ByteArrayOutputStream

`close, reset, size, toByteArray, toString, toString, toString, write, write, writeTo`

### Methods inherited from class java.io.OutputStream

`flush, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BAOS

    public BAOS()

### Method Detail

#### getbuf

    public byte[] getbuf()